---
Description: A task to rebuild bankn dc layout
Documentation: |
  This rebuilds the bankn dc layout

ExtraClaims:
- scope: work_orders
  action: '*'
  specific: '*'
- scope: machines
  action: '*'
  specific: '*'
- scope: clusters
  action: '*'
  specific: '*'
- scope: resource_brokers
  action: '*'
  specific: '*'
Meta:
  color: olive
  copyright: RackN 2022
  feature-flags: sane-exit-codes
  icon: money
Name: bankn-dc-layout-rebuild
Templates:
- Name: bankn-dc-layout-rebuild
  Contents: |
    #!/usr/bin/env bash

    {{ template "setup.tmpl" . }}
    
    {{ if .ParamExists "demo-setup/cluster-name" }}
    echo "On the main system, check for adding to cluster"
    if ! drpcli clusters exists Name:{{.Param "demo-setup/cluster-name"}} >/dev/null 2>/dev/null ; then
        echo "No cluster defined - skipping"
        exit 0
    fi
    nextuuid=$(drpcli clusters show Name:{{.Param "demo-setup/cluster-name"}} | jq -r .Uuid)
    context=$(drpcli clusters show Name:{{.Param "demo-setup/cluster-name"}} | jq -r .Context)
    cat > workorder.yaml <<EOF
    ---
    Blueprint: cluster-reevaluate
    Machine: $nextuuid
    Context: $context
    EOF
    drpcli work_orders create workorder.yaml >/dev/null
    {{ else }}
    echo "Not on the main system, check for adding to cluster"
    {{ end }}
